Bug 1468076 - zstd-1.4.4 is available
Summary: zstd-1.4.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zstd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1790413
TreeView+ depends on / blocked
 
Reported: 2017-07-06 00:27 UTC by Upstream Release Monitoring
Modified: 2020-02-01 02:14 UTC (History)
4 users (show)

Fixed In Version: zstd-1.4.4-1.fc31 zstd-1.4.4-1.fc30 zstd-1.4.4-1.el8 zstd-1.4.4-1.el7 zstd-1.4.4-1.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-18 20:54:20 UTC
Type: ---


Attachments (Terms of Use)
Update to 1.4.0 (1.29 KB, patch)
2019-04-25 07:43 UTC, Remi Collet
no flags Details | Diff

Description Upstream Release Monitoring 2017-07-06 00:27:44 UTC
Latest upstream release: 1.3.0
Current version/release in rawhide: 1.2.0-1.fc27
URL: https://github.com/facebook/zstd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12083/

Comment 1 Upstream Release Monitoring 2017-08-21 00:33:37 UTC
Latest upstream release: 1.3.1
Current version/release in rawhide: 1.3.0-3.fc27
URL: https://github.com/facebook/zstd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12083/

Comment 2 Upstream Release Monitoring 2017-10-20 00:59:40 UTC
Latest upstream release: 1.3.2
Current version/release in rawhide: 1.3.1-1.fc28
URL: https://github.com/facebook/zstd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12083/

Comment 3 Upstream Release Monitoring 2018-03-27 00:38:42 UTC
Latest upstream release: 1.3.4
Current version/release in rawhide: 1.3.3-3.fc28
URL: https://github.com/facebook/zstd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12083/

Comment 4 Upstream Release Monitoring 2018-06-29 00:41:31 UTC
Latest upstream release: 1.3.5
Current version/release in rawhide: 1.3.4-1.fc29
URL: https://github.com/facebook/zstd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12083/

Comment 5 Upstream Release Monitoring 2019-04-16 23:02:50 UTC
Latest upstream release: 1.4.0
Current version/release in rawhide: 1.3.8-2.fc30
URL: http://www.zstd.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12083/

Comment 6 Remi Collet 2019-04-19 13:57:53 UTC
Version 1.4.0 make some previously experimental API stable, which are useful, especially for streaming API (ZSTD_compressStream2 and ZSTD_CCtx_setParameter)

Comment 7 Remi Collet 2019-04-19 14:09:19 UTC
Notice: API / ABI is compatible with previous version

https://rpms.remirepo.net/compat_reports/libzstd/1.3.8_to_1.4.0/compat_report.html

Comment 8 Remi Collet 2019-04-25 07:43:34 UTC
Created attachment 1558490 [details]
Update to 1.4.0

Also enable lzma and lz4 support in tools

Comment 9 Japheth Cleaver 2019-08-13 00:18:58 UTC
Not sure why Bodhi wasn't tracking this, but zstd 1.4.2 is in Rawhide, so this ticket can be closed.

https://bodhi.fedoraproject.org/updates/FEDORA-2019-6abc6263b0

Comment 10 Upstream Release Monitoring 2019-08-19 21:34:46 UTC
Latest upstream release: 1.4.3
Current version/release in rawhide: 1.4.2-1.fc31
URL: http://www.zstd.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/12083/

Comment 11 Upstream Release Monitoring 2019-11-06 05:22:15 UTC
Latest upstream release: 1.4.4
Current version/release in rawhide: 1.4.2-1.fc31
URL: http://www.zstd.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/12083/

Comment 12 Michal Schorm 2020-01-14 10:27:49 UTC
MySQL 8.0.19 needs zstd >= 1.4.3

Comment 13 Pádraig Brady 2020-01-15 16:05:46 UTC
1.4.4 updates pending for all branches

Comment 14 Fedora Update System 2020-01-16 21:13:05 UTC
zstd-1.4.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0d4e7d6999

Comment 15 Fedora Update System 2020-01-16 21:39:44 UTC
zstd-1.4.4-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9f0dd941ea

Comment 16 Fedora Update System 2020-01-16 23:23:51 UTC
zstd-1.4.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-26c6f79059

Comment 17 Fedora Update System 2020-01-16 23:24:00 UTC
zstd-1.4.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0548f77682

Comment 18 Fedora Update System 2020-01-16 23:24:15 UTC
zstd-1.4.4-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d0cce4f440

Comment 19 Fedora Update System 2020-01-18 20:54:20 UTC
zstd-1.4.4-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-01-24 18:51:14 UTC
zstd-1.4.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2020-02-01 01:54:00 UTC
zstd-1.4.4-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2020-02-01 01:56:32 UTC
zstd-1.4.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2020-02-01 02:14:13 UTC
zstd-1.4.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.